//*****************************************************************************
// Description     : Definition of commands for controlling device
// Target Device   : APV8508, APV8104
// Target Platform : Windows, .NET Framework, C++
// Date            : August 2017
// Version         : 1.0
//*****************************************************************************
#ifndef __COMMAND__
#define __COMMAND__


//******************* command address  ********************
// command
#define DEVICE_COMMAND_MOD   (0xb4000000)    // mode
#define DEVICE_COMMAND_MMD   (0xb4000002)    // measurement mode
#define DEVICE_COMMAND_AQS   (0xb4000004)    // start/stop
#define DEVICE_COMMAND_MTM   (0xb4000006)    // measurement time
#define DEVICE_COMMAND_CLR   (0xb4000090)    // clear data
#define DEVICE_COMMAND_RQH   (0xb400009a)    // request histogram

// status
#define DEVICE_STATUS_RTM    (0xb400000e)    // real time
#define DEVICE_STATUS_OCT    (0xb4000120)    // output count total
#define DEVICE_STATUS_OCR    (0xb4000130)    // output count rate(cps)


//******************* parameter ********************
// mode
#define DEVICE_PARAM_MOD_HIST   (0)     // histogram
#define DEVICE_PARAM_MOD_LIST   (1)     // list

// measurement mode
#define DEVICE_PARAM_MMD_REALTIME (0)   // real time
#define DEVICE_PARAM_MMD_LIVETIME (1)   // live time

// measurement start/stop
#define DEVICE_PARAM_AQS_STOP   (0)     // stop
#define DEVICE_PARAM_AQS_START  (1)     // start

// ADC sampling bits
#define DEVICE_SAMPLING_14BITS  (0)     // 14bits
#define DEVICE_SAMPLING_12BITS  (1)     // 12bits


#endif // __COMMAND__
